optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | Static Protected Attributes | List of all members
optoKummenberg.registers.OutputStage.LinearOutput Class Reference
Inheritance diagram for optoKummenberg.registers.OutputStage.LinearOutput:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetCurrentLimit (self, value)
| GetCurrentLimit (self)
| GetChannelNumber (self)
| GetOutputCurrent (self)
| SetAverageLimitPeriod (self, value)
| GetAverageLimitPeriod (self)
| SetAverageLimitSum (self, value)
| GetAverageLimitSum (self)
| SetCooldownPeriod (self, value)
| GetCooldownPeriod (self)
| SetCalibration (self, value)
| GetCalibration (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| current_limit
| channel_number
| output_current
| avg_limit_period
| avg_limit_sum
| cooldown_period
| output_disable
| calibration
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _channel
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Static Protected Attributes
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)

## Detailed Description

    Device Functionality - Firmware Status
    System ID: 0xE8 through 0xEF

    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name      | Id   | Type        | Unit | Range | Default | Comment                                          |
    +====================+======+=============+======+=======+=========+==================================================+
    |current_limit       | 0x00 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | channel_number     | 0x01 |uint 32-bit  |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | output_current     | 0x02 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | avg_limit_period   | 0x03 |uint 32-bit  |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | avg_limit_sum      | 0x03 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | cooldown_period    | 0x04 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_integral       | 0x05 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.OutputStage.LinearOutput.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ GetAverageLimitPeriod()

optoKummenberg.registers.OutputStage.LinearOutput.GetAverageLimitPeriod | ( |  | self | ) |

## ◆ GetAverageLimitSum()

optoKummenberg.registers.OutputStage.LinearOutput.GetAverageLimitSum | ( |  | self | ) |

## ◆ GetCalibration()

optoKummenberg.registers.OutputStage.LinearOutput.GetCalibration | ( |  | self | ) |

## ◆ GetChannelNumber()

optoKummenberg.registers.OutputStage.LinearOutput.GetChannelNumber | ( |  | self | ) |

## ◆ GetCooldownPeriod()

optoKummenberg.registers.OutputStage.LinearOutput.GetCooldownPeriod | ( |  | self | ) |

## ◆ GetCurrentLimit()

optoKummenberg.registers.OutputStage.LinearOutput.GetCurrentLimit | ( |  | self | ) |

## ◆ GetOutputCurrent()

optoKummenberg.registers.OutputStage.LinearOutput.GetOutputCurrent | ( |  | self | ) |

## ◆ help()

optoKummenberg.registers.OutputStage.LinearOutput.help | ( |  | ) |
| static

## ◆ SetAverageLimitPeriod()

optoKummenberg.registers.OutputStage.LinearOutput.SetAverageLimitPeriod | ( |  | self,
|  |  | value )

## ◆ SetAverageLimitSum()

optoKummenberg.registers.OutputStage.LinearOutput.SetAverageLimitSum | ( |  | self,
|  |  | value )

## ◆ SetCalibration()

optoKummenberg.registers.OutputStage.LinearOutput.SetCalibration | ( |  | self,
|  |  | value )

## ◆ SetCooldownPeriod()

optoKummenberg.registers.OutputStage.LinearOutput.SetCooldownPeriod | ( |  | self,
|  |  | value )

## ◆ SetCurrentLimit()

optoKummenberg.registers.OutputStage.LinearOutput.SetCurrentLimit | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _channel

optoKummenberg.registers.OutputStage.LinearOutput._channel
| protected

## ◆ _is_a_system

bool optoKummenberg.registers.OutputStage.LinearOutput._is_a_system = False
| static protected

## ◆ avg_limit_period

optoKummenberg.registers.OutputStage.LinearOutput.avg_limit_period

## ◆ avg_limit_sum

optoKummenberg.registers.OutputStage.LinearOutput.avg_limit_sum

## ◆ calibration

optoKummenberg.registers.OutputStage.LinearOutput.calibration

## ◆ channel_number

optoKummenberg.registers.OutputStage.LinearOutput.channel_number

## ◆ cooldown_period

optoKummenberg.registers.OutputStage.LinearOutput.cooldown_period

## ◆ current_limit

optoKummenberg.registers.OutputStage.LinearOutput.current_limit

## ◆ name

optoKummenberg.registers.OutputStage.LinearOutput.name

## ◆ output_current

optoKummenberg.registers.OutputStage.LinearOutput.output_current

## ◆ output_disable

optoKummenberg.registers.OutputStage.LinearOutput.output_disable

## ◆ sys_id

optoKummenberg.registers.OutputStage.LinearOutput.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/OutputStage.py